import express from "express";

const router = express.Router();

import {
  createKyc,
  getAllKyc,
  getAllPrincipalDistributers,
  getKycById,
} from "./KycController.js";
import { isAuthenticatedSalesCoOrdinator } from "../../middlewares/SalesCoOrdinatorAuth.js";
import { authorizeRoles, isAuthenticatedUser } from "../../middlewares/auth.js";
router.route("/kyc/create/").post(isAuthenticatedSalesCoOrdinator, createKyc);
router
  .route("/kyc/getAll/")
  .get(isAuthenticatedUser, authorizeRoles("principal-Distributor"), getAllKyc);
router
  .route("/kyc/get-single-kyc/:id")
  .get(
    isAuthenticatedUser,
    authorizeRoles("principal-Distributor"),
    getKycById
  );
router
  .route("/kyc/get-pd/")
  .get(isAuthenticatedSalesCoOrdinator, getAllPrincipalDistributers);

export default router;
